//
//  TasFirebaseCrashlyticsPlugin.m
//  Plugin
//
//  Created by Anxo CD on 4/11/22.
//  Copyright © 2022 Max Lynch. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Capacitor/Capacitor.h>

// Define the plugin using the CAP_PLUGIN Macro, and
// each method the plugin supports using the CAP_PLUGIN_METHOD macro.
CAP_PLUGIN(TasFirebaseCrashlyticsPlugin, "TasFirebaseCrashlytics",
           CAP_PLUGIN_METHOD(crash, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(addLogMessage, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(setEnabled, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(recordException, CAPPluginReturnPromise);
)
